Summary:	Topology binaries for the Sound Open Firmware
Name:		sof-bin
Version:	2.2.2
Release:	1
License:	BSD/BSD-like/ISC
Group:		Base/Kernel
Source0:	https://github.com/thesofproject/sof-bin/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	7efa596bef8623cccda5904b5676c09a
URL:		https://github.com/thesofproject/sof-bin
BuildRequires:	alsa-lib
BuildRequires:	alsa-utils
BuildRequires:	rsync
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
Topology binaries for the Sound Open Firmware.

%package -n sof-firmware
Summary:	Sound Open Firmware
Group:		Base/Kernel
BuildArch:	noarch

%description -n sof-firmware
Sound Open Firmware.

%prep
%setup -q -n %{name}-v%{version}
mkdir -p firmware/intel/sof
%{__mv} sof-v%{version}/* firmware/intel/sof
%{__mv} sof-tplg-v%{version} firmware/intel/sof-tplg

%build
# SST topology files (not SOF related, but it's a Intel hw support
# and this package seems a good place to distribute them
alsatplg -c /usr/share/alsa/topology/hda-dsp/skl_hda_dsp_generic-tplg.conf \
	-o firmware/skl_hda_dsp_generic-tplg.bin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware/intel,%{_bindir}}

cp -ra tools-v%{version}/* $RPM_BUILD_ROOT%{_bindir}
cp -ra firmware/* $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENCE.Intel LICENCE.NXP Notice.NXP README.Intel
%attr(755,root,root) %{_bindir}/sof-*

%files -n sof-firmware
%defattr(644,root,root,755)
/lib/firmware/*.bin
/lib/firmware/intel/sof
/lib/firmware/intel/sof-tplg
%changelog
* Sat Sep 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sof-bin.git;a=log;h=master

* Sat Sep 24 2022 Jan Rękorajski <baggins@pld-linux.org> e44e26a
- up to 2.2.2

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 13d9cbd
- generate SST tolologi data
- don't package debug files
- rel 2

* Wed Dec 22 2021 Jan Rękorajski <baggins@pld-linux.org> 7a74fcd
- rel 1

* Wed Dec 22 2021 Jan Rękorajski <baggins@pld-linux.org> d52e0ee
- new

